Bug 149613 - bad printf strings
bad printf strings
Product: Fedora
Classification: Fedora
Component: freeze (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Mailhot
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-02-24 09:16 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-23 14:29:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-24 09:16:16 EST
Description of problem:

I just tried to compile package freeze-2.5.0-2 from 
Redhat Fedora Extras development tree.

The compiler said

freeze.c:76: warning: unknown conversion type character `w' in format
freeze.c:76: warning: too few arguments for format

The source code is

    fprintf(stderr, "\n\
      -c         Write output on stdout, don't remove original.\n\
      -d         If given, melting is done instead.\n\
      -g         Use \"greedy\" parsing (1.5% worse, 40% faster).\n\
      -f         Forces output file to be generated, even if one
                 exists, and even if no space is saved by freezeing.\n\
      -i         Image mode.\n\
      -t         Text mode.\n\
      -v         Write freezing statistics. -vv means \"draw progress\n\
      -V         Write version and compilation options.\n\

Suggest use %% for % in fprintf specifiers.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Michael Schwendt 2005-07-23 14:29:05 EDT
Will be fixed in freeze-2.5.0-4

Note You need to log in before you can comment on or make changes to this bug.